Package ru.bitel.oss.systems.inventory.resource.common.bean

# Class DeviceType

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.oss.kernel.entity.common.bean.AbstractEntity
ru.bitel.oss.kernel.entity.common.bean.Entity
ru.bitel.oss.systems.inventory.resource.common.bean.DeviceType

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

Direct Known Subclasses:
  `InetDeviceType`, `TvDeviceType`, `VoiceDeviceType`

public abstract class DeviceType extends Entity

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.Builder, IdTitle.IdTitleBuilder`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static int`
  `MGMT_TYPE_BGRADIUS`
  `static int`
  `MGMT_TYPE_OTHER`
  `static int`
  `MGMT_TYPE_SNMP`
  `static int`
  `MGMT_TYPE_SSH`
  `static int`
  `MGMT_TYPE_TELNET`

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DeviceType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getActiveConfigId()`
  `String`
  `getComment()`
  `String`
  `getConfig()`
  `int`
  `getDeviceEntitySpecId()`
  `String`
  `getDeviceManagerClass()`
  `int`
  `getManagmentType()`
  `String`
  `getProtocolHandlerClass()`
  `String`
  `getSaHandlerClass()`
  `int`
  `getServiceActivationType()`
  `boolean`
  `isSource()`
  `void`
  `setActiveConfigId(int deviceTypeConfigId)`
  `void`
  `setComment(String comment)`
  `void`
  `setConfig(String config)`
  `void`
  `setDeviceEntitySpecId(int deviceEntitySpecId)`
  `void`
  `setDeviceManagerClass(String deviceManagerClass)`
  `void`
  `setManagmentType(int managmentType)`
  `void`
  `setProtocolHandlerClass(String protocolHandlerClass)`
  `void`
  `setSaHandlerClass(String saHandlerClass)`
  `void`
  `setServiceActivationType(int serviceActivationType)`
  `void`
  `setSource(boolean source)`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.Entity

  `copyTo, getEntityId, setEntityId`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractEntity

  `copyTo, getEntityAttributes, getEntitySpecId, setEntityAttributes, setEntitySpecId`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Field Details

  - ### MGMT_TYPE_OTHER

    public static int MGMT_TYPE_OTHER

  - ### MGMT_TYPE_SNMP

    public static int MGMT_TYPE_SNMP

  - ### MGMT_TYPE_TELNET

    public static int MGMT_TYPE_TELNET

  - ### MGMT_TYPE_SSH

    public static int MGMT_TYPE_SSH

  - ### MGMT_TYPE_BGRADIUS

    public static int MGMT_TYPE_BGRADIUS

- ## Constructor Details

  - ### DeviceType

    public DeviceType()

- ## Method Details

  - ### getServiceActivationType

    public int getServiceActivationType()

  - ### getSaHandlerClass

    public String getSaHandlerClass()

  - ### setSaHandlerClass

    public void setSaHandlerClass(String saHandlerClass)

  - ### getProtocolHandlerClass

    public String getProtocolHandlerClass()

  - ### setProtocolHandlerClass

    public void setProtocolHandlerClass(String protocolHandlerClass)

  - ### getDeviceManagerClass

    public String getDeviceManagerClass()

  - ### setDeviceManagerClass

    public void setDeviceManagerClass(String deviceManagerClass)

  - ### setServiceActivationType

    public void setServiceActivationType(int serviceActivationType)

  - ### getManagmentType

    public int getManagmentType()

  - ### setManagmentType

    public void setManagmentType(int managmentType)

  - ### getActiveConfigId

    public int getActiveConfigId()

  - ### setActiveConfigId

    public void setActiveConfigId(int deviceTypeConfigId)

  - ### getDeviceEntitySpecId

    public int getDeviceEntitySpecId()

  - ### setDeviceEntitySpecId

    public void setDeviceEntitySpecId(int deviceEntitySpecId)

  - ### getConfig

    public String getConfig()

  - ### setConfig

    public void setConfig(String config)

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)

  - ### isSource

    public boolean isSource()

  - ### setSource

    public void setSource(boolean source)